## golang-github-mailgun-ttlmap 0.0~git20170619.c1c17f7

=== Makefile ===
test: clean
	go test -cover -v ./...

coverage: clean
	go test -coverprofile=/tmp/coverage.out -v ./...
	go tool cover -func=/tmp/coverage.out

htmlcoverage: clean
	go test -covermode=count -coverprofile=/tmp/coverage.out -v ./...
	go tool cover -html=/tmp/coverage.out

deps:
	go get -v -u launchpad.net/gocheck
	go get -v -u github.com/mailgun/minheap
	go get -v -u github.com/mailgun/timetools

clean:
	find . -name flymake_* -delete

sloccount:
	 find . -name "*.go" -print0 | xargs -0 wc -l

=== debian/changelog ===
golang-github-mailgun-ttlmap (0.0~git20170619.c1c17f7-2) unstable; urgency=medium

  * Source only upload.
  * d/control: Bump S-V.

 -- Aloïs Micard <creekorful@debian.org>  Tue, 24 Aug 2021 22:57:56 +0200

golang-github-mailgun-ttlmap (0.0~git20170619.c1c17f7-1) unstable; urgency=medium

  * Initial release (Closes: #991697)

 -- Aloïs Micard <creekorful@debian.org>  Fri, 30 Jul 2021 15:21:37 +0200

=== debian/control ===
Source: golang-github-mailgun-ttlmap
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Aloïs Micard <creekorful@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-mailgun-minheap-dev,
               golang-github-mailgun-timetools-dev,
               golang-gopkg-check.v1-dev <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mailgun-ttlmap
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mailgun-ttlmap.git
Homepage: https://github.com/mailgun/ttlmap
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/mailgun/ttlmap

Package: golang-github-mailgun-ttlmap-dev
Architecture: all
Depends: golang-github-mailgun-minheap-dev,
         golang-github-mailgun-timetools-dev,
         ${misc:Depends}
Description: In memory dictionary with TTLs (library)
 TtlMap provides a Redis-like map with expiry times
 and maximum capacity.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/mailgun/ttlmap.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-mailgun-ttlmap-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/mailgun/ttlmap/tags .*/v?(\d\S*)\.tar\.gz debian
